# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.core.validators
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0031_auto_20160511_1803'),
    ]

    operations = [
        migrations.CreateModel(
            name='Option',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(max_length=32, verbose_name='Nom')),
                ('price', models.DecimalField(verbose_name='Prix', max_digits=6, decimal_places=2, validators=[django.core.validators.MinValueValidator(0.0, message='Le prix d\u2019une option doit \xeatre positif ou nul.')])),
                ('description', models.TextField(verbose_name='Description de l\u2019option', blank=True)),
                ('ticket', models.ForeignKey(related_name='options', to='guichet.Ticket', on_delete=django.db.models.deletion.CASCADE)),
            ],
        ),
    ]
